combination_graph_dataset<-function(graph_fcst, graph_hcst, graph_obs, append.parentnodename){

F<-!is.null(graph_fcst)

if(F) {
    graph<-my_union_graph(graph_fcst$graph,graph_hcst$graph,graph_obs$graph)
    parentnodename<-list(graph_fcst$parentnodename,graph_hcst$parentnodename,graph_obs$parentnodename)

}else{
    graph<-my_union_graph(graph_hcst$graph, graph_obs$graph)
    parentnodename<-list(graph_hcst$parentnodename,graph_obs$parentnodename)
}
append<-c(parentnodename, append.parentnodename)

graph <- metaclip.graph.Command(graph, "Loading", "2.0.0", "/modules/Loading/Loading.R", arg.list=list("Recipe"=recipe$Run$output_dir),
                                append)
                                
return(list("graph"=graph, "parentnodename"=parentnodename))

}